Skip to main content
GET
/
rulepacks
/
{id}
Get Rulepack
curl --request GET \
  --url https://use.hoop.dev/api/rulepacks/{id}
{
  "connection_names": [
    "<string>"
  ],
  "created_at": "2024-07-25T15:56:35.317601Z",
  "data_masking_rules": [
    {
      "name": "mask-email",
      "attributes": [
        "production",
        "pii"
      ],
      "connection_ids": [
        "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
        "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
      ],
      "custom_entity_types": [
        {
          "name": "ZIP_CODE",
          "score": 0.01,
          "deny_list": [
            "Mr",
            "Mr.",
            "Mister"
          ],
          "regex": "\\b\\d{5}(?:-\\d{4})?\\b"
        }
      ],
      "description": "Mask email addresses in the data",
      "id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
      "score_threshold": 0.6,
      "supported_entity_types": [
        {
          "entity_types": [
            "EMAIL_ADDRESS",
            "PERSON",
            "PHONE_NUMBER",
            "IP_ADDRESS"
          ],
          "name": "PII"
        }
      ],
      "updated_at": "2023-08-15T14:30:45Z"
    }
  ],
  "description": "Standard PCI controls for production DBs",
  "display_name": "PCI Database Access",
  "guardrail_rules": [
    {
      "attributes": [
        "production",
        "pii"
      ],
      "connection_ids": [
        "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
        "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
      ],
      "created_at": "2024-07-25T15:56:35.317601Z",
      "description": "description about this rule",
      "id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
      "input": {},
      "name": "my-strict-rule",
      "output": {},
      "updated_at": "2024-07-25T15:56:35.317601Z"
    }
  ],
  "id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
  "is_managed": false,
  "org_id": "37EEBC20-D8DF-416B-8AC2-01B6EB456318",
  "tags": [
    "pci",
    "production"
  ],
  "updated_at": "2024-07-25T15:56:35.317601Z",
  "version": "1.0.0"
}

Path Parameters

id
string
required

Rulepack ID

Response

OK

connection_names
string[]

Names of connections this rulepack has been applied to. Populated from the rulepack attribute's connection junctions; empty when no connections are tagged.

created_at
string
read-only

The time the resource was created

Example:

"2024-07-25T15:56:35.317601Z"

data_masking_rules
object[]

Data masking rules attached to this rulepack

description
string

Optional description

Example:

"Standard PCI controls for production DBs"

display_name
string

Human-readable display name for the rulepack

Example:

"PCI Database Access"

guardrail_rules
object[]

Guardrail rules attached to this rulepack

id
string<uuid>
read-only

The resource identifier

Example:

"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"

is_managed
boolean
read-only

True for Hoop-managed rulepacks (read-only for users)

Example:

false

org_id
string<uuid>
read-only

Organization ID that owns this rulepack

Example:

"37EEBC20-D8DF-416B-8AC2-01B6EB456318"

tags
string[]

Tags for grouping and filtering rulepacks

Example:
["pci", "production"]
updated_at
string
read-only

The time the resource was last updated

Example:

"2024-07-25T15:56:35.317601Z"

version
string

Optional version string

Example:

"1.0.0"